Subject: Re: [bfcpbis] reminder to review draft-ietf-bfcpbis-bfcp-websocket-01

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Date: Mon, 9 Mar 2015 22:31:09 +0000

Hi Christer - 

We have submitted a new version of the draft (-03) that addresses your remaining comments.  This includes separating the WS/WSS Connection URI definition and registration to a separate draft (See https://tools.ietf.org/html/draft-ram-bfcpbis-sdp-ws-uri-00).

At your convenience please have a look and see if your comments are satisfactorily addressed by both drafts.

Thanks!

Gonzalo

> On Oct 25, 2014, at 7:40 AM, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
> 
>>> Section 3:
>>> ------------
>>> 
>>> Q3_1: Why is this section needed? The draft is not a teach-yourself-websocket document, is it? :)
>>> 
>>>          In my opinion the draft should reference the WebSocket RFC for general information about WebSocket, and 
>>>        the draft then describes the BFCP specifics - ie what is described in section 4.
>>> 
>>>          Otherwise, if some details of WebSocket change in the future, you may have to update this RFC 
>>>          also - even if the change does not affect the BFCP usage of WebSocket.
>> 
>> A bit of explanatory text was requested in early reviews.  I myself find it useful to provide modest 
>> baseline information self-contained in the document.  This is also common practice in all the foo 
>> over WebSockets documents, including RFC 7118.  That said, if you feel strongly it should be removed, we can do so. 
> 
> If you want to keep it, I will withdraw my comment. It's just an editorial thing :)
> 
> ...
> 
>>> Q6_2: Is the new SDP ws-uri attribute BFCP specific? If not, should it be in a separate draft?
>> 
>> No, it isn't BFCP-specific and your point makes sense.  Having a general SDP attribute for SDP negotiated 
>> protocols over Websocket is meaningful and would facilitate future protocols over Websocket. Once I create 
>> a new draft I'll remove this bit of text and replace it with a reference to the new document.  Expect this for the -03 version.
> 
>>> Q6_3: I think it would be good to have a reference to a document which talks more about the URI matching requirement.
>>> 
>>>          Something like: "As defined in section YYYY of RFC XXXX, when using Secure Websockets the CNAME 
>>>          of the SSL certificate must match the WebSocket connection URI host..."
>> 
>> I agree with the comment, but not sure what the reference should be. Not sure what will be the correct reference. 
>> Do you think something like RFC 2818 Section 3 would work?
> 
> I don't know where the requirement comes from, but I assume it must be defined somewhere :)
> 
> Anyway, if you move the SDP ws-uri attribute definition into a separate draft I assume this text would also be in that draft.
> 
>>> Q6_4: As you define a new SDP attribute, you should have a "SDP Offer/Answer Proceudures" section.
>> 
>> Do you mean an Offer/Answer sections in line with RFC 3264 that has the following sub-sections with relevant procedures called out?
>> 
>> 1) Generating the Initial Offer
>> 2) Generating the Answer
>> 3) Offerer Processing of the Answer
>> 4) Modify the Session
>> 
>> Something like what we did in Section 4 of RFC 7345?
> 
> Correct.
> 
> Again, if you move the attribute definition to a separate draft, you only need to define the O/A procedures for the new m- line transport field values in this draft.
> 
>> If so, that will take me a bit of time and will need to wait until -03 as I have much to do before the submission deadline.
> 
> That is ok. I guess you could put the section names into -02, and add the content later.
> 
> Regards,
> 
> Christer

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 10 Mar 2015 08:52:38 +0000

Hi,

I'll take a look.

Regards,

Christer

-----Original Message-----
From: Gonzalo Salgueiro (gsalguei) [mailto:[email-masked]] 
Sent: 10 March 2015 00:31
To: Christer Holmberg
Cc: Charles Eckel (eckelcu); [email-masked]
Subject: Re: [bfcpbis] reminder to review draft-ietf-bfcpbis-bfcp-websocket-01

Hi Christer - 

Thanks!

Gonzalo

>>> Q3_1: Why is this section needed? The draft is not a 
>>> teach-yourself-websocket document, is it? :)
>>> 
>> A bit of explanatory text was requested in early reviews.  I myself 
>> find it useful to provide modest baseline information self-contained 
>> in the document.  This is also common practice in all the foo over WebSockets documents, including RFC 7118.  That said, if you feel strongly it should be removed, we can do so.
> 
>> No, it isn't BFCP-specific and your point makes sense.  Having a 
>> general SDP attribute for SDP negotiated protocols over Websocket is 
>> meaningful and would facilitate future protocols over Websocket. Once I create a new draft I'll remove this bit of text and replace it with a reference to the new document.  Expect this for the -03 version.
>